kdewebkit not installed

Giorgio Cittadini giocitta at gmail.com
Thu Oct 25 08:21:12 UTC 2018


Hi All,

in the last three days I updated twice crux-3.4 (KF5). No problem at 
all, but I didn't succeed to build and install kdewebkit-5.51.0-1 package.

What I get while pkgmking is this:

# pkgmk -d

=======> Building '/home/pkgmk/packages/kdewebkit#5.51.0-1.pkg.tar.gz'.

bsdtar -p -o -C /home/pkgmk/work/kdewebkit/src -xf 
/home/pkgmk/distfiles/kdewebkit-5.51.0.tar.xz
+ build
+ cd kdewebkit-5.51.0
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/usr/etc 
-DLIB_INSTALL_DIR=/usr/lib -DBUILD_TESTING=OFF 
-DKDE_INSTALL_USE_QT_SYS_PATHS=ON -DCMAKE_BUILD_TYPE=Release -Wno-dev
-- The C compiler identification is GNU 7.3.0
-- The CXX compiler identification is GNU 7.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- 

CMake Error at 
/usr/share/cmake/Modules/CMakeFindDependencyMacro.cmake:48 (find_package):
   Could not find a configuration file for package "Qt5Network" that exactly
   matches requested version "5.11.1".

   The following configuration files were considered but not accepted:

     /usr/lib64/cmake/Qt5Network/Qt5NetworkConfig.cmake, version: 5.11.2
     /usr/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake, version: 5.11.2

Call Stack (most recent call first):
   /usr/lib64/cmake/Qt5WebKitWidgets/Qt5WebKitWidgetsConfig.cmake:83 
(find_dependency)
   /usr/lib64/cmake/Qt5/Qt5Config.cmake:28 (find_package)
   CMakeLists.txt:16 (find_package)


-- Configuring incomplete, errors occurred!
See also 
"/home/pkgmk/work/kdewebkit/src/kdewebkit-5.51.0/CMakeFiles/CMakeOutput.log".
=======> ERROR: Building 
'/home/pkgmk/packages/kdewebkit#5.51.0-1.pkg.tar.gz' failed.


I don't succeed to understand what to do to correct 'Could not find a 
configuration file for package "Qt5Network" that exactly matches 
requested version "5.11.1"'.

No success, as suggested elsewhere, with: export 
CMAKE_PREFIX_PATH=/usr/share/qt5/lib/cmake/ .

Should I symlink the qt5 cmake directories to /usr/lib/cmake/ ?

Thanks for a kind help.

Giorgio Cittadini




More information about the CRUX mailing list